Public Class checkprint


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        '支票设计
        If je.Value <= 0 Then
            MsgBox("金额必须大于0")
            Exit Sub
        End If

        Dim myrep As New VBprinter.EasyReport()
           '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）

        myrep.SetReportFile("支票套打.mb")

        myrep.SetReportVar("日期", rq.Value.Date)
        myrep.SetReportVar("金额", je.Value)
        '注意，这里只传递了金额和日期，其他如大写金额、大小月份、大小年份等
        '都是通过表达式控件自动计算的，这在一定程度上会影响性能
        '如果速度对您很重要，您应当用您自己的代码进行计算，然后将这些
        '值以变量形式传递给报表，报表设计时直接使用变量值而不用表达式控件
        myrep.SetReportVar("用途", yt.Text)
        myrep.SetReportVar("收款人", skr.Text)
        myrep.SetReportVar("付款行名称", bank.Text)
        myrep.SetReportVar("出票人账号", zh.Text)
        myrep.EditReport()

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        '支票打印预览
        If je.Value <= 0 Then
            MsgBox("金额必须大于0")
            Exit Sub
        End If

        Dim myrep As New VBprinter.EasyReport()
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）

        myrep.SetReportFile("支票套打.mb")

        myrep.SetReportVar("日期", rq.Value.Date)
        myrep.SetReportVar("金额", je.Value)
        '注意，这里只传递了金额和日期，其他如大写金额、大小月份、大小年份等
        '都是通过表达式控件自动计算的，这在一定程度上会影响性能
        '如果速度对您很重要，您应当用您自己的代码进行计算，然后将这些
        '值以变量形式传递给报表，报表设计时直接使用变量值而不用表达式控件
        myrep.SetReportVar("用途", yt.Text)
        myrep.SetReportVar("收款人", skr.Text)
        myrep.SetReportVar("付款行名称", bank.Text)
        myrep.SetReportVar("出票人账号", zh.Text)
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        '支票套打预览
        If je.Value <= 0 Then
            MsgBox("金额必须大于0")
            Exit Sub
        End If

        Dim myrep As New VBprinter.EasyReport()
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）

        myrep.SetReportFile("支票套打.mb")

        myrep.SetReportVar("日期", rq.Value.Date)
        myrep.SetReportVar("金额", je.Value)
        '注意，这里只传递了金额和日期，其他如大写金额、大小月份、大小年份等
        '都是通过表达式控件自动计算的，这在一定程度上会影响性能
        '如果速度对您很重要，您应当用您自己的代码进行计算，然后将这些
        '值以变量形式传递给报表，报表设计时直接使用变量值而不用表达式控件
        myrep.SetReportVar("用途", yt.Text)
        myrep.SetReportVar("收款人", skr.Text)
        myrep.SetReportVar("付款行名称", bank.Text)
        myrep.SetReportVar("出票人账号", zh.Text)
        myrep.PrintReport(True, False, False, True) '进入报表套打预览
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        If je.Value <= 0 Then
            MsgBox("金额必须大于0")
            Exit Sub
        End If

        Dim myrep As New VBprinter.EasyReport()
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）

        myrep.SetReportFile("支票套打.mb")

        myrep.SetReportVar("日期", rq.Value.Date)
        myrep.SetReportVar("金额", je.Value)
        '注意，这里只传递了金额和日期，其他如大写金额、大小月份、大小年份等
        '都是通过表达式控件自动计算的，这在一定程度上会影响性能
        '如果速度对您很重要，您应当用您自己的代码进行计算，然后将这些
        '值以变量形式传递给报表，报表设计时直接使用变量值而不用表达式控件
        myrep.SetReportVar("用途", yt.Text)
        myrep.SetReportVar("收款人", skr.Text)
        myrep.SetReportVar("付款行名称", bank.Text)
        myrep.SetReportVar("出票人账号", zh.Text)
        myrep.PrintReport(True, True, True, True) '立即打印，但打印前显示打印机选择
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        If je.Value <= 0 Then
            MsgBox("金额必须大于0")
            Exit Sub
        End If

        Dim myrep As New VBprinter.EasyReport()
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）

        myrep.SetReportFile("支票套打.mb")

        myrep.SetReportVar("日期", rq.Value.Date)
        myrep.SetReportVar("金额", je.Value)
        '注意，这里只传递了金额和日期，其他如大写金额、大小月份、大小年份等
        '都是通过表达式控件自动计算的，这在一定程度上会影响性能
        '如果速度对您很重要，您应当用您自己的代码进行计算，然后将这些
        '值以变量形式传递给报表，报表设计时直接使用变量值而不用表达式控件
        myrep.SetReportVar("用途", yt.Text)
        myrep.SetReportVar("收款人", skr.Text)
        myrep.SetReportVar("付款行名称", bank.Text)
        myrep.SetReportVar("出票人账号", zh.Text)
        myrep.PrintReport(True, True, False, True) '立即打印，打印前不显示打印机选择，用默认打印机打印
    End Sub
End Class